> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Installation

> Retrieves details for a specific installation.



## OpenAPI

````yaml get /installations/{installationId}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /installations/{installationId}:
    get:
      summary: Get Installation
      description: Retrieves details for a specific installation.
      operationId: getInstallation
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
        - name: installationId
          in: path
          required: true
          description: The ID of the installation.
          schema:
            type: string
            example: 6630f0f971184ae724f2d930
      responses:
        '200':
          description: Successful response with installation details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      installationId:
                        type: string
                        example: 6630f0f971184ae724f2d930
                      integrationId:
                        type: string
                        example: 662f950e454784bc5e7caa37
                      userId:
                        type: string
                        example: 6622cd2e506ac293a3e60b00
                      formData:
                        type: array
                        items:
                          type: object
                        example: []
                      credentialIds:
                        type: object
                        additionalProperties:
                          type: string
                        example:
                          shopifyApi: 66263e318dca4463fe1b480f
                      workflowIds:
                        type: array
                        items:
                          type: string
                        example:
                          - 662fa657454784bc5e7cd5ea
                      enabled:
                        type: boolean
                        example: false
                    required:
                      - installationId
                      - integrationId
                      - userId
                      - formData
                      - credentialIds
                      - workflowIds
                      - enabled
                required:
                  - data
              examples:
                Result:
                  value:
                    data:
                      installationId: 6630f0f971184ae724f2d930
                      integrationId: 662f950e454784bc5e7caa37
                      userId: 6622cd2e506ac293a3e60b00
                      formData: []
                      credentialIds:
                        shopifyApi: 66263e318dca4463fe1b480f
                      workflowIds:
                        - 662fa657454784bc5e7cd5ea
                      enabled: false
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````